---
apiVersion: v1
items:
- apiVersion: v1
  kind: Pod
  metadata:
    annotations:
      k8s.v1.cni.cncf.io/network-status: |-
        [{
            "name": "",
            "interface": "eth0",
            "ips": [
                "10.128.0.6"
            ],
            "default": true,
            "dns": {}
        }]
      k8s.v1.cni.cncf.io/networks-status: |-
        [{
            "name": "",
            "interface": "eth0",
            "ips": [
                "10.128.0.6"
            ],
            "default": true,
            "dns": {}
        }]
    creationTimestamp: "2022-03-08T10:14:18Z"
    generateName: kube-apiserver-operator-c74696d8d-
    labels:
      app: kube-apiserver-operator
      pod-template-hash: c74696d8d
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:pod-template-hash: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"064ad0cf-8472-4d33-a435-d85a2d017593"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:spec:
          f:containers:
            k:{"name":"kube-apiserver-operator"}:
              .: {}
              f:args: {}
              f:command: {}
              f:env:
                .: {}
                k:{"name":"IMAGE"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"OPERAND_IMAGE_VERSION"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"OPERATOR_IMAGE"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"OPERATOR_IMAGE_VERSION"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"POD_NAME"}:
                  .: {}
                  f:name: {}
                  f:valueFrom:
                    .: {}
                    f:fieldRef:
                      .: {}
                      f:apiVersion: {}
                      f:fieldPath: {}
              f:image: {}
              f:imagePullPolicy: {}
              f:name: {}
              f:ports:
                .: {}
                k:{"containerPort":8443,"protocol":"TCP"}:
                  .: {}
                  f:containerPort: {}
                  f:name: {}
                  f:protocol: {}
              f:resources:
                .: {}
                f:requests:
                  .: {}
                  f:cpu: {}
                  f:memory: {}
              f:terminationMessagePath: {}
              f:terminationMessagePolicy: {}
              f:volumeMounts:
                .: {}
                k:{"mountPath":"/var/run/configmaps/config"}:
                  .: {}
                  f:mountPath: {}
                  f:name: {}
                k:{"mountPath":"/var/run/secrets/serving-cert"}:
                  .: {}
                  f:mountPath: {}
                  f:name: {}
          f:dnsPolicy: {}
          f:enableServiceLinks: {}
          f:nodeSelector:
            .: {}
            f:node-role.kubernetes.io/master: {}
          f:priorityClassName: {}
          f:restartPolicy: {}
          f:schedulerName: {}
          f:securityContext: {}
          f:serviceAccount: {}
          f:serviceAccountName: {}
          f:terminationGracePeriodSeconds: {}
          f:tolerations: {}
          f:volumes:
            .: {}
            k:{"name":"config"}:
              .: {}
              f:configMap:
                .: {}
                f:defaultMode: {}
                f:name: {}
              f:name: {}
            k:{"name":"serving-cert"}:
              .: {}
              f:name: {}
              f:secret:
                .: {}
                f:defaultMode: {}
                f:optional: {}
                f:secretName: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:14:18Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions:
            .: {}
            k:{"type":"PodScheduled"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:message: {}
              f:reason: {}
              f:status: {}
              f:type: {}
      manager: kube-scheduler
      operation: Update
      time: "2022-03-08T10:14:18Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:k8s.v1.cni.cncf.io/network-status: {}
            f:k8s.v1.cni.cncf.io/networks-status: {}
      manager: multus
      operation: Update
      time: "2022-03-08T10:38:39Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions:
            k:{"type":"ContainersReady"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Initialized"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Ready"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
          f:containerStatuses: {}
          f:hostIP: {}
          f:phase: {}
          f:podIP: {}
          f:podIPs:
            .: {}
            k:{"ip":"10.128.0.6"}:
              .: {}
              f:ip: {}
          f:startTime: {}
      manager: kubelet
      operation: Update
      time: "2022-03-08T10:42:50Z"
    name: kube-apiserver-operator-c74696d8d-gsntz
    namespace: openshift-kube-apiserver-operator
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: ReplicaSet
      name: kube-apiserver-operator-c74696d8d
      uid: 064ad0cf-8472-4d33-a435-d85a2d017593
    resourceVersion: "15541"
    selfLink: /api/v1/namespaces/openshift-kube-apiserver-operator/pods/kube-apiserver-operator-c74696d8d-gsntz
    uid: 91140637-e73d-4798-a18a-e01c3ed36dfb
  spec:
    containers:
    - args:
      - --config=/var/run/configmaps/config/config.yaml
      command:
      - cluster-kube-apiserver-operator
      - operator
      env:
      - name: IMAGE
        value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:7cd85d223d9b8249e4773998db865454043be8231589a59a1f21ea8e9e66b1fe
      - name: OPERATOR_IMAGE
        value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:38b0061ea15ace519955e223ba3be004d9e8c71c95bd3c9155b33f028fbef2c5
      - name: OPERAND_IMAGE_VERSION
        value: 1.19.16
      - name: OPERATOR_IMAGE_VERSION
        value: 4.6.52
      - name: POD_NAME
        valueFrom:
          fieldRef:
            apiVersion: v1
            fieldPath: metadata.name
      image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:38b0061ea15ace519955e223ba3be004d9e8c71c95bd3c9155b33f028fbef2c5
      imagePullPolicy: IfNotPresent
      name: kube-apiserver-operator
      ports:
      - containerPort: 8443
        name: metrics
        protocol: TCP
      resources:
        requests:
          cpu: 10m
          memory: 50Mi
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: FallbackToLogsOnError
      volumeMounts:
      - mountPath: /var/run/configmaps/config
        name: config
      - mountPath: /var/run/secrets/serving-cert
        name: serving-cert
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: kube-apiserver-operator-token-cdbjj
        readOnly: true
    dnsPolicy: ClusterFirst
    enableServiceLinks: true
    nodeName: master-1.case03116926.lab.upshift.rdu2.redhat.com
    nodeSelector:
      node-role.kubernetes.io/master: ""
    preemptionPolicy: PreemptLowerPriority
    priority: 2000000000
    priorityClassName: system-cluster-critical
    restartPolicy: Always
    schedulerName: default-scheduler
    securityContext: {}
    serviceAccount: kube-apiserver-operator
    serviceAccountName: kube-apiserver-operator
    terminationGracePeriodSeconds: 30
    tolerations:
    - effect: NoSchedule
      key: node-role.kubernetes.io/master
      operator: Exists
    - effect: NoExecute
      key: node.kubernetes.io/unreachable
      operator: Exists
      tolerationSeconds: 120
    - effect: NoExecute
      key: node.kubernetes.io/not-ready
      operator: Exists
      tolerationSeconds: 120
    - effect: NoSchedule
      key: node.kubernetes.io/memory-pressure
      operator: Exists
    volumes:
    - name: serving-cert
      secret:
        defaultMode: 420
        optional: true
        secretName: kube-apiserver-operator-serving-cert
    - configMap:
        defaultMode: 420
        name: kube-apiserver-operator-config
      name: config
    - name: kube-apiserver-operator-token-cdbjj
      secret:
        defaultMode: 420
        secretName: kube-apiserver-operator-token-cdbjj
  status:
    conditions:
    - lastProbeTime: null
      lastTransitionTime: "2022-03-08T10:38:37Z"
      status: "True"
      type: Initialized
    - lastProbeTime: null
      lastTransitionTime: "2022-03-08T10:42:50Z"
      status: "True"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: "2022-03-08T10:42:50Z"
      status: "True"
      type: ContainersReady
    - lastProbeTime: null
      lastTransitionTime: "2022-03-08T10:38:37Z"
      status: "True"
      type: PodScheduled
    containerStatuses:
    - containerID: cri-o://fb16f9f458733495be26847e09643f477e8a2a9205346bb3fcb476bde0b6f3cb
      image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:38b0061ea15ace519955e223ba3be004d9e8c71c95bd3c9155b33f028fbef2c5
      imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:38b0061ea15ace519955e223ba3be004d9e8c71c95bd3c9155b33f028fbef2c5
      lastState:
        terminated:
          containerID: cri-o://d5465a93ae4c1940bf38a904ba4f7bc483d66c0a177587a6162fbf9ecfbb4f19
          exitCode: 0
          finishedAt: "2022-03-08T10:42:37Z"
          reason: Completed
          startedAt: "2022-03-08T10:40:01Z"
      name: kube-apiserver-operator
      ready: true
      restartCount: 2
      started: true
      state:
        running:
          startedAt: "2022-03-08T10:42:49Z"
    hostIP: 10.0.95.76
    phase: Running
    podIP: 10.128.0.6
    podIPs:
    - ip: 10.128.0.6
    qosClass: Burstable
    startTime: "2022-03-08T10:38:37Z"
kind: PodList
metadata:
  resourceVersion: "82775"
  selfLink: /api/v1/namespaces/openshift-kube-apiserver-operator/pods
